/**
 * 控件对外接口实现类
 */
define("./JGDemoWidgetAction", function(require, exports, module) {
	
	var viewModel, sandbox, innerSandBox;
	//var widgetContext,eventManager;

	exports.initModule = function(sb) {
		sandbox = sb;
		widgetContext = sb.getService("vjs.framework.extension.widget.manager.widgetContext");
		eventManager = sb.getService("vjs.framework.extension.ui.plugin.manager.eventManager");
	};
	
	/**
	 * 初始化控件事件。
	 * 
	 * 渲染完成后触发，一般在这里进行ui的事件监听和事件绑定。
	 */
	var initEvent = function(widgetCode) {
		
		var widget = widgetContext.get(widgetCode, "widgetObj");
		widget.on("click", eventManager.fireEvent(widgetCode, "OnClick"));
	};

	exports.initEvent = initEvent;
});